Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### mousePressed

Examples

    // Click within the image to change
    // the value of the rectangle
    void draw() {
      if (mousePressed == true) {
        fill(0);
      } else {
        fill(255);
      }
      rect(25, 25, 50, 50);
    }

Description | Variable storing if a mouse button is pressed. The value of the system variable mousePressed is true if a mouse button is pressed and false if a button is not pressed.

Parameters

Usage | Web & Application
Related | mouseX mouseY mousePressed() mouseReleased() mouseMoved() mouseDragged()

Updated on February 09, 2008 04:38:52pm PST